import { CredentialExchangeRecord } from '@credo-ts/core';
import { OverlayBundle } from '../../types';
import LocalizedAttribute from './LocalizedAttribute';
export default class LocalizedCredential {
    #private;
    attributes: LocalizedAttribute[];
    issuer: string;
    name: string;
    watermark?: string;
    constructor(bundle: OverlayBundle, record: CredentialExchangeRecord, language: string);
    get primaryAttribute(): LocalizedAttribute | undefined;
    get secondaryAttribute(): LocalizedAttribute | undefined;
    get logo(): string | undefined;
    get primaryBackgroundColor(): string | undefined;
    get secondaryBackgroundColor(): string | undefined;
    get backgroundImage(): string | undefined;
    get backgroundImageSlice(): string | undefined;
    private getAttribute;
}
