"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Predicate = exports.Attribute = exports.Field = void 0;
class Field {
    constructor(params) {
        this.name = params.name;
        this.format = params.format;
        this.type = params.type;
        this.encoding = params.encoding;
        this.mimeType = params.mimeType;
        this.revoked = params.revoked;
        this.credentialId = params.credentialId;
        this.label = params.label;
        this.restrictions = params.restrictions;
        this.nonRevoked = params.nonRevoked;
    }
}
exports.Field = Field;
class Attribute extends Field {
    constructor(params) {
        super(params);
        this.value = params.value;
        this.revealed = params.revealed;
    }
}
exports.Attribute = Attribute;
class Predicate extends Field {
    constructor(params) {
        super(params);
        this.pValue = params.pValue;
        this.pType = params.pType;
        this.parameterizable = params.parameterizable;
        this.satisfied = params.satisfied;
    }
}
exports.Predicate = Predicate;
