"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _BrandingOverlay_background_image, _BrandingOverlay_background_image_slice, _BrandingOverlay_primary_background_color, _BrandingOverlay_secondary_background_color, _BrandingOverlay_primary_attribute, _BrandingOverlay_secondary_attribute, _BrandingOverlay_issued_date_attribute, _BrandingOverlay_expiry_date_attribute;
Object.defineProperty(exports, "__esModule", { value: true });
const color_1 = require("../../utils/color");
const BaseOverlay_1 = __importDefault(require("../base/BaseOverlay"));
class BrandingOverlay extends BaseOverlay_1.default {
    constructor(credentialDefinitionId, overlay) {
        super(overlay);
        _BrandingOverlay_background_image.set(this, void 0);
        _BrandingOverlay_background_image_slice.set(this, void 0);
        _BrandingOverlay_primary_background_color.set(this, void 0);
        _BrandingOverlay_secondary_background_color.set(this, void 0);
        _BrandingOverlay_primary_attribute.set(this, void 0);
        _BrandingOverlay_secondary_attribute.set(this, void 0);
        _BrandingOverlay_issued_date_attribute.set(this, void 0);
        _BrandingOverlay_expiry_date_attribute.set(this, void 0);
        this.logo = overlay.logo;
        __classPrivateFieldSet(this, _BrandingOverlay_background_image, overlay.background_image, "f");
        __classPrivateFieldSet(this, _BrandingOverlay_background_image_slice, overlay.background_image_slice, "f");
        __classPrivateFieldSet(this, _BrandingOverlay_primary_background_color, overlay.primary_background_color ?? (0, color_1.generateColor)(credentialDefinitionId), "f");
        __classPrivateFieldSet(this, _BrandingOverlay_secondary_background_color, overlay.secondary_background_color, "f");
        __classPrivateFieldSet(this, _BrandingOverlay_primary_attribute, overlay.primary_attribute, "f");
        __classPrivateFieldSet(this, _BrandingOverlay_secondary_attribute, overlay.secondary_attribute, "f");
        __classPrivateFieldSet(this, _BrandingOverlay_issued_date_attribute, overlay.issued_date_attribute, "f");
        __classPrivateFieldSet(this, _BrandingOverlay_expiry_date_attribute, overlay.expiry_date_attribute, "f");
    }
    get backgroundImage() {
        return __classPrivateFieldGet(this, _BrandingOverlay_background_image, "f");
    }
    get backgroundImageSlice() {
        return __classPrivateFieldGet(this, _BrandingOverlay_background_image_slice, "f");
    }
    get primaryBackgroundColor() {
        return __classPrivateFieldGet(this, _BrandingOverlay_primary_background_color, "f");
    }
    get secondaryBackgroundColor() {
        return __classPrivateFieldGet(this, _BrandingOverlay_secondary_background_color, "f");
    }
    get primaryAttribute() {
        return __classPrivateFieldGet(this, _BrandingOverlay_primary_attribute, "f");
    }
    get secondaryAttribute() {
        return __classPrivateFieldGet(this, _BrandingOverlay_secondary_attribute, "f");
    }
    get issuedDateAttribute() {
        return __classPrivateFieldGet(this, _BrandingOverlay_issued_date_attribute, "f");
    }
    get expiryDateAttribute() {
        return __classPrivateFieldGet(this, _BrandingOverlay_expiry_date_attribute, "f");
    }
}
_BrandingOverlay_background_image = new WeakMap(), _BrandingOverlay_background_image_slice = new WeakMap(), _BrandingOverlay_primary_background_color = new WeakMap(), _BrandingOverlay_secondary_background_color = new WeakMap(), _BrandingOverlay_primary_attribute = new WeakMap(), _BrandingOverlay_secondary_attribute = new WeakMap(), _BrandingOverlay_issued_date_attribute = new WeakMap(), _BrandingOverlay_expiry_date_attribute = new WeakMap();
exports.default = BrandingOverlay;
