"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const Label_1 = __importDefault(require("../../../components/card/claim/Label"));
const Value_1 = __importDefault(require("../../../components/card/claim/Value"));
const Claim = ({ attribute, textStyle }) => {
    return ((attribute?.label || attribute?.value) && (<react_native_1.View>
        {attribute?.formattedLabel && <Label_1.default label={attribute.formattedLabel} textStyle={textStyle}/>}
        {attribute?.formattedValue && <Value_1.default value={attribute.formattedValue} textStyle={textStyle}/>}
      </react_native_1.View>));
};
exports.default = Claim;
