"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const credentialTheme_1 = require("../../../ui/contexts/credentialTheme");
const Issuer = ({ issuer, textStyle }) => {
    const { text } = (0, credentialTheme_1.useCredentialTheme)();
    const { color, paddingLeft } = textStyle ?? {};
    return (<react_native_1.Text 
    // testID={testIdWithKey('CredentialIssuer')}
    style={[
            text.labelBold,
            {
                paddingLeft,
                lineHeight: 19,
                opacity: 0.8,
                color,
            },
        ]}>
      {issuer}
    </react_native_1.Text>);
};
exports.default = Issuer;
