"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBaseStyleSheet = void 0;
const react_native_1 = require("react-native");
const createBaseStyleSheet = (windowWidth) => {
    const styles = react_native_1.StyleSheet.create({
        container: {
            overflow: 'hidden',
        },
        logo: {
            position: 'absolute',
        },
        watermark: {
            width: windowWidth,
            height: windowWidth,
        },
        watermarkText: {
            fontSize: 0.05 * windowWidth,
            opacity: 0.16,
        },
        status: {
            position: 'absolute',
            top: 0,
            right: 0,
        },
    });
    return styles;
};
exports.createBaseStyleSheet = createBaseStyleSheet;
