"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const Header_1 = __importDefault(require("../../components/detail/header/Header"));
const Body_1 = __importDefault(require("../../components/detail/body/Body"));
const Detail = ({ connectionId, credentialId, credential }) => {
    return (<react_native_1.View>
      <Header_1.default connectionId={connectionId} credentialId={credentialId} credential={credential}/>
      <Body_1.default attributes={credential?.attributes}/>
    </react_native_1.View>);
};
exports.default = Detail;
