"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const hashCode_1 = __importDefault(require("./hashCode"));
const hashToRGBA_1 = __importDefault(require("./hashToRGBA"));
/**
 * Generate a color based on a seed string
 * @param seed The seed string.
 * @returns The generated color.
 */
const generateColor = (seed) => {
    return (0, hashToRGBA_1.default)((0, hashCode_1.default)(seed));
};
exports.default = generateColor;
