"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Generates a numerical hash based on a given string
 * @see https://stackoverflow.com/questions/3426404/create-a-hexadecimal-colour-based-on-a-string-with-javascript
 * @param { string } s given string
 * @returns { number } numerical hash value
 */
const hashCode = (s) => {
    return s.split('').reduce((hash, char) => char.charCodeAt(0) + ((hash << 5) - hash), 0);
};
exports.default = hashCode;
