import { IMetaOverlayData } from '../../interfaces/data';
import BaseOverlay from '../base/BaseOverlay';
export default class MetaOverlay extends BaseOverlay {
    #private;
    language: string;
    name?: string;
    description?: string;
    issuer?: string;
    watermark?: string;
    constructor(overlay: IMetaOverlayData);
    get credentialHelpText(): string | undefined;
    get credentialSupportUrl(): string | undefined;
    get issuerDescription(): string | undefined;
    get issuerUrl(): string | undefined;
}
