import { StyleProp, ViewStyle } from 'react-native';
export declare enum StatusLevelEnum {
    WARNING = "warning",
    ERROR = "error"
}
export interface StatusProps extends React.PropsWithChildren {
    level?: StatusLevelEnum;
    style?: StyleProp<ViewStyle>;
}
declare const Status: React.FC<StatusProps>;
export default Status;
