export declare const calculatePadding: (width: number) => number;
export declare const calculateLogoWidth: (width: number) => number;
export declare const calculateLogoHeight: (width: number) => number;
export declare const calculatePrimaryWidth: (width: number) => number;
export declare const calculatePrimaryHeight: (width: number) => number;
export declare const calculateSecondaryWidth: (width: number) => number;
export declare const calculateSecondaryHeight: (width: number) => number;
export declare const createStyleSheet: (windowWidth: number) => {
    logo: {
        width: number;
        height: number;
        top: number;
        left: number;
        position: "absolute";
    };
    secondary: {
        width: number;
        height: number;
    };
    primary: {
        width: number;
        height: number;
    };
    primaryChild: {
        padding: number;
        paddingLeft: number;
        paddingRight: number;
    };
    issuerText: {};
    nameText: {};
    claimText: {};
    status: {
        width: number;
        height: number;
        position: "absolute";
        top: number;
        right: number;
    };
    container: {
        overflow: "hidden";
    };
    watermark: {
        width: number;
        height: number;
    };
    watermarkText: {
        fontSize: number;
        opacity: number;
    };
};
