import { CredentialPreviewAttribute, CredentialPreviewAttributeOptions } from '@credo-ts/core';
import { IOverlayBundleAttribute as OverlayBundleAttributeOptions } from '../../interfaces/overlay';
export default class LocalizedAttribute extends CredentialPreviewAttribute {
    type: string | undefined;
    characterEncoding: string | undefined;
    standard: string | undefined;
    format: string | undefined;
    information: string | undefined;
    label: string | undefined;
    constructor(options: CredentialPreviewAttributeOptions, overlayOptions: OverlayBundleAttributeOptions, language: string);
    get formattedLabel(): string | undefined;
    get formattedValue(): string | undefined;
    toJSON(): Record<string, unknown>;
}
