import { ILegacyBrandingOverlayData } from '../../interfaces/data';
import BaseOverlay from '../base/BaseOverlay';
export default class LegacyBrandingOverlay extends BaseOverlay {
    #private;
    header?: {
        color?: string;
        backgroundColor?: string;
        imageSource?: string;
        hideIssuer?: boolean;
    };
    footer?: {
        color?: string;
        backgroundColor?: string;
    };
    constructor(credentialDefinitionId: string, overlay: ILegacyBrandingOverlayData);
    get backgroundColor(): string;
    get imageSource(): string | undefined;
}
