import { View } from 'react-native';
import Label from '../../../components/card/claim/Label';
import Value from '../../../components/card/claim/Value';
const Claim = ({ attribute, textStyle }) => {
    return ((attribute?.label || attribute?.value) && (<View>
        {attribute?.formattedLabel && <Label label={attribute.formattedLabel} textStyle={textStyle}/>}
        {attribute?.formattedValue && <Value value={attribute.formattedValue} textStyle={textStyle}/>}
      </View>));
};
export default Claim;
