import { Text } from 'react-native';
import { useCredentialTheme } from '../../../ui/contexts/credentialTheme';
const Issuer = ({ issuer, textStyle }) => {
    const { text } = useCredentialTheme();
    const { color, paddingLeft } = textStyle ?? {};
    return (<Text 
    // testID={testIdWithKey('CredentialIssuer')}
    style={[
            text.labelBold,
            {
                paddingLeft,
                lineHeight: 19,
                opacity: 0.8,
                color,
            },
        ]}>
      {issuer}
    </Text>);
};
export default Issuer;
