import { Text } from 'react-native';
import { useCredentialTheme } from '../../../ui/contexts/credentialTheme';
const Name = ({ name, textStyle }) => {
    const { text } = useCredentialTheme();
    const { color, fontWeight, paddingTop } = textStyle ?? {};
    return (<Text 
    // testID={testIdWithKey('CredentialName')}
    style={[
            text.normal,
            {
                paddingTop,
                lineHeight: 24,
                color,
                fontWeight,
            },
        ]}>
      {name}
    </Text>);
};
export default Name;
