"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _FormattedCredentialFactory_credentials;
Object.defineProperty(exports, "__esModule", { value: true });
const LocalizedCredential_1 = __importDefault(require("./LocalizedCredential"));
class FormattedCredentialFactory {
    constructor(bundle, record) {
        _FormattedCredentialFactory_credentials.set(this, void 0);
        __classPrivateFieldSet(this, _FormattedCredentialFactory_credentials, bundle.languages.reduce((credentials, language) => {
            credentials[language] = new LocalizedCredential_1.default(bundle, record, language);
            return credentials;
        }, {}), "f");
    }
    localizedCredential(language) {
        return __classPrivateFieldGet(this, _FormattedCredentialFactory_credentials, "f")[language];
    }
}
_FormattedCredentialFactory_credentials = new WeakMap();
exports.default = FormattedCredentialFactory;
