"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _LegacyBrandingOverlay_background_color, _LegacyBrandingOverlay_image_source;
Object.defineProperty(exports, "__esModule", { value: true });
const color_1 = require("../../utils/color");
const BaseOverlay_1 = __importDefault(require("../base/BaseOverlay"));
class LegacyBrandingOverlay extends BaseOverlay_1.default {
    constructor(credentialDefinitionId, overlay) {
        super(overlay);
        _LegacyBrandingOverlay_background_color.set(this, void 0);
        _LegacyBrandingOverlay_image_source.set(this, void 0);
        __classPrivateFieldSet(this, _LegacyBrandingOverlay_background_color, overlay.background_color ?? (0, color_1.generateColor)(credentialDefinitionId), "f");
        __classPrivateFieldSet(this, _LegacyBrandingOverlay_image_source, overlay.image_source, "f");
        if (overlay.header) {
            this.header = {
                color: overlay.header?.color,
                backgroundColor: overlay.header?.background_color,
                imageSource: overlay.header?.image_source,
                hideIssuer: overlay.header?.hide_issuer,
            };
        }
        if (overlay.footer) {
            this.footer = {
                color: overlay.footer?.color,
                backgroundColor: overlay.footer?.background_color,
            };
        }
    }
    get backgroundColor() {
        return __classPrivateFieldGet(this, _LegacyBrandingOverlay_background_color, "f");
    }
    get imageSource() {
        return __classPrivateFieldGet(this, _LegacyBrandingOverlay_image_source, "f");
    }
}
_LegacyBrandingOverlay_background_color = new WeakMap(), _LegacyBrandingOverlay_image_source = new WeakMap();
exports.default = LegacyBrandingOverlay;
