"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _CharacterEncodingOverlay_default_character_encoding, _CharacterEncodingOverlay_attr_character_encoding, _CharacterEncodingOverlay_attribute_character_encoding;
Object.defineProperty(exports, "__esModule", { value: true });
const BaseOverlay_1 = __importDefault(require("../base/BaseOverlay"));
class CharacterEncodingOverlay extends BaseOverlay_1.default {
    constructor(overlay) {
        super(overlay);
        _CharacterEncodingOverlay_default_character_encoding.set(this, void 0);
        // DEPRECATED - Use #attribute_character_encoding instead
        _CharacterEncodingOverlay_attr_character_encoding.set(this, void 0);
        _CharacterEncodingOverlay_attribute_character_encoding.set(this, void 0);
        __classPrivateFieldSet(this, _CharacterEncodingOverlay_default_character_encoding, overlay.default_character_encoding, "f");
        // DEPRECATED - Use #attribute_character_encoding instead
        __classPrivateFieldSet(this, _CharacterEncodingOverlay_attr_character_encoding, overlay.attr_character_encoding, "f");
        __classPrivateFieldSet(this, _CharacterEncodingOverlay_attribute_character_encoding, overlay.attribute_character_encoding, "f");
    }
    get defaultCharacterEncoding() {
        return __classPrivateFieldGet(this, _CharacterEncodingOverlay_default_character_encoding, "f");
    }
    // DEPRECATED - Use attributeCharacterEncoding instead
    get attrCharacterEncoding() {
        return __classPrivateFieldGet(this, _CharacterEncodingOverlay_attr_character_encoding, "f");
    }
    get attributeCharacterEncoding() {
        return __classPrivateFieldGet(this, _CharacterEncodingOverlay_attribute_character_encoding, "f");
    }
}
_CharacterEncodingOverlay_default_character_encoding = new WeakMap(), _CharacterEncodingOverlay_attr_character_encoding = new WeakMap(), _CharacterEncodingOverlay_attribute_character_encoding = new WeakMap();
exports.default = CharacterEncodingOverlay;
