"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _LabelOverlay_attribute_labels, _LabelOverlay_attribute_categories, _LabelOverlay_category_labels;
Object.defineProperty(exports, "__esModule", { value: true });
const BaseOverlay_1 = __importDefault(require("../base/BaseOverlay"));
class LabelOverlay extends BaseOverlay_1.default {
    constructor(overlay) {
        super(overlay);
        _LabelOverlay_attribute_labels.set(this, void 0);
        _LabelOverlay_attribute_categories.set(this, void 0);
        _LabelOverlay_category_labels.set(this, void 0);
        this.language = overlay.language;
        __classPrivateFieldSet(this, _LabelOverlay_attribute_labels, overlay.attribute_labels, "f");
        __classPrivateFieldSet(this, _LabelOverlay_attribute_categories, overlay.attribute_categories, "f");
        __classPrivateFieldSet(this, _LabelOverlay_category_labels, overlay.category_labels, "f");
    }
    get attributeLabels() {
        return __classPrivateFieldGet(this, _LabelOverlay_attribute_labels, "f");
    }
    get attributeCategories() {
        return __classPrivateFieldGet(this, _LabelOverlay_attribute_categories, "f");
    }
    get categoryLabels() {
        return __classPrivateFieldGet(this, _LabelOverlay_category_labels, "f");
    }
}
_LabelOverlay_attribute_labels = new WeakMap(), _LabelOverlay_attribute_categories = new WeakMap(), _LabelOverlay_category_labels = new WeakMap();
exports.default = LabelOverlay;
