"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _MetaOverlay_credential_help_text, _MetaOverlay_credential_support_url, _MetaOverlay_issuer_description, _MetaOverlay_issuer_url;
Object.defineProperty(exports, "__esModule", { value: true });
const BaseOverlay_1 = __importDefault(require("../base/BaseOverlay"));
class MetaOverlay extends BaseOverlay_1.default {
    constructor(overlay) {
        super(overlay);
        _MetaOverlay_credential_help_text.set(this, void 0);
        _MetaOverlay_credential_support_url.set(this, void 0);
        _MetaOverlay_issuer_description.set(this, void 0);
        _MetaOverlay_issuer_url.set(this, void 0);
        this.language = overlay.language;
        this.name = overlay.name;
        this.description = overlay.description;
        __classPrivateFieldSet(this, _MetaOverlay_credential_help_text, overlay.credential_help_text, "f");
        __classPrivateFieldSet(this, _MetaOverlay_credential_support_url, overlay.credential_support_url, "f");
        this.issuer = overlay.issuer;
        __classPrivateFieldSet(this, _MetaOverlay_issuer_description, overlay.issuer_description, "f");
        __classPrivateFieldSet(this, _MetaOverlay_issuer_url, overlay.issuer_url, "f");
        this.watermark = overlay.watermark;
    }
    get credentialHelpText() {
        return __classPrivateFieldGet(this, _MetaOverlay_credential_help_text, "f");
    }
    get credentialSupportUrl() {
        return __classPrivateFieldGet(this, _MetaOverlay_credential_support_url, "f");
    }
    get issuerDescription() {
        return __classPrivateFieldGet(this, _MetaOverlay_issuer_description, "f");
    }
    get issuerUrl() {
        return __classPrivateFieldGet(this, _MetaOverlay_issuer_url, "f");
    }
}
_MetaOverlay_credential_help_text = new WeakMap(), _MetaOverlay_credential_support_url = new WeakMap(), _MetaOverlay_issuer_description = new WeakMap(), _MetaOverlay_issuer_url = new WeakMap();
exports.default = MetaOverlay;
