"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const Primary = ({ style, children }) => {
    const { width, height, backgroundColor } = style ?? {};
    const borderRadius = 10;
    const styles = react_native_1.StyleSheet.create({
        container: {
            width,
            minHeight: height,
            borderTopRightRadius: borderRadius,
            borderBottomRightRadius: borderRadius,
            backgroundColor,
            flex: 1,
        },
    });
    return (<react_native_1.View 
    // testID={testIdWithKey('CredentialCardPrimaryBody')}
    style={styles.container}>
      {children}
    </react_native_1.View>);
};
exports.default = Primary;
