"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const credentialTheme_1 = require("../../../ui/contexts/credentialTheme");
const Name = ({ name, textStyle }) => {
    const { text } = (0, credentialTheme_1.useCredentialTheme)();
    const { color, fontWeight, paddingTop } = textStyle ?? {};
    return (<react_native_1.Text 
    // testID={testIdWithKey('CredentialName')}
    style={[
            text.normal,
            {
                paddingTop,
                lineHeight: 24,
                color,
                fontWeight,
            },
        ]}>
      {name}
    </react_native_1.Text>);
};
exports.default = Name;
