"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.initi18n = void 0;
const i18next_1 = __importDefault(require("i18next"));
const react_i18next_1 = require("react-i18next");
const initi18n = () => {
    i18next_1.default.use(react_i18next_1.initReactI18next).init({
        lng: 'en',
        fallbackLng: 'en',
        resources: {
            en: {
                translation: {
                    Detail: {
                        Show: 'Show',
                        Hide: 'Hide',
                        ShowAll: 'Show All',
                        HideAll: 'Hide All',
                    },
                },
            },
        },
    });
    return i18next_1.default;
};
exports.initi18n = initi18n;
