"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDataUrl = exports.toImageSource = void 0;
const toImageSource = (source) => {
    if (typeof source === 'string') {
        return { uri: source };
    }
    return source;
};
exports.toImageSource = toImageSource;
const isDataUrl = (value) => {
    return typeof value === 'string' && value.startsWith('data:image/');
};
exports.isDataUrl = isDataUrl;
