import { IBrandingOverlayData } from '../../interfaces/data';
import BaseOverlay from '../base/BaseOverlay';
export default class BrandingOverlay extends BaseOverlay {
    #private;
    logo?: string;
    constructor(credentialDefinitionId: string, overlay: IBrandingOverlayData);
    get backgroundImage(): string | undefined;
    get backgroundImageSlice(): string | undefined;
    get primaryBackgroundColor(): string | undefined;
    get secondaryBackgroundColor(): string | undefined;
    get primaryAttribute(): string | undefined;
    get secondaryAttribute(): string | undefined;
    get issuedDateAttribute(): string | undefined;
    get expiryDateAttribute(): string | undefined;
}
