export var CaptureBaseAttributeType;
(function (CaptureBaseAttributeType) {
    CaptureBaseAttributeType["Binary"] = "Binary";
    CaptureBaseAttributeType["Text"] = "Text";
    CaptureBaseAttributeType["DateTime"] = "DateTime";
    CaptureBaseAttributeType["Numeric"] = "Numeric";
    CaptureBaseAttributeType["DateInt"] = "DateInt";
})(CaptureBaseAttributeType || (CaptureBaseAttributeType = {}));
export var OverlayStandard;
(function (OverlayStandard) {
    OverlayStandard["ISO1989"] = "urn:iso:std:iso:1989";
})(OverlayStandard || (OverlayStandard = {}));
export var OverlayType;
(function (OverlayType) {
    OverlayType["CaptureBase10"] = "spec/capture_base/1.0";
    OverlayType["Meta10"] = "spec/overlays/meta/1.0";
    OverlayType["Label10"] = "spec/overlays/label/1.0";
    OverlayType["Format10"] = "spec/overlays/format/1.0";
    OverlayType["CharacterEncoding10"] = "spec/overlays/character_encoding/1.0";
    OverlayType["Branding01"] = "aries/overlays/branding/0.1";
    OverlayType["Branding10"] = "aries/overlays/branding/1.0";
})(OverlayType || (OverlayType = {}));
