import { View, StyleSheet } from 'react-native';
const Primary = ({ style, children }) => {
    const { width, height, backgroundColor } = style ?? {};
    const borderRadius = 10;
    const styles = StyleSheet.create({
        container: {
            width,
            minHeight: height,
            borderTopRightRadius: borderRadius,
            borderBottomRightRadius: borderRadius,
            backgroundColor,
            flex: 1,
        },
    });
    return (<View 
    // testID={testIdWithKey('CredentialCardPrimaryBody')}
    style={styles.container}>
      {children}
    </View>);
};
export default Primary;
